// terrain_mapperDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

#include "MacSliderCtrl.h"
#include "GlyphButton.h"

// Cterrain_mapperDlg dialog
class Cterrain_mapperDlg : public CDialog
{
// Construction
public:
	Cterrain_mapperDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TERRAIN_MAPPER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	CString	m_sPath;
	


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	void UpdateMenu (CMenu* pMenu);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonStartosg();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonStartpoly();
	afx_msg void OnBnClickedButtonEndpoly();
	afx_msg void OnLbnSelchangeListTerrain();
	afx_msg void OnMenuOpenMapFile();
	afx_msg void OnBnClickedButtonDir();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);

	void UpdateFileListBox(void);
	
	CString sTerrainFile;
	CComboBox cComboTerrain;
	afx_msg void OnCbnSelchangeComboTerrain();
	afx_msg void OnBnClickedRadio2inchwashboard();
	int m_RadioType;
	afx_msg void OnBnClickedRadio6inchwashboard();
	afx_msg void OnBnClickedRadioRadialwashboard();
	afx_msg void OnBnClickedRadioBelgianblock();
	afx_msg void OnBnClickedRadioEmbeddedrock();
	afx_msg void OnBnClickedRadioCrosscountry();
	afx_msg void OnBnClickedRadioGravelroad();
	afx_msg void OnBnClickedRadioPavedroad();
	CStatic cTerrainGroupBox;
	afx_msg void OnBnClickedButtonAdddir();
	afx_msg void OnBnClickedRadioNottraversable();
	afx_msg void OnBnClickedButtonChangexml();
	CEdit cEditXMLFilename;
	CMacSliderCtrl c_Slider_UpDown;
	CMacSliderCtrl c_Slider_LeftRight;
	CGlyphButton c_HomeButton;
	afx_msg void OnBnClickedButtonHome();
	CGlyphButton c_Button_ZoomOut;
	afx_msg void OnBnClickedButtonZoomout();
	CGlyphButton c_Button_ZoomIn;
	afx_msg void OnBnClickedButtonZoomin();
	CMenu  c_MenuVar;
	afx_msg void OnBnClickedButtonUpdateltp();
	CEdit cLTPLat;
	CEdit cLTPLon;
	CEdit cLTPAz;
	CEdit cXFalseOrigin;
	CEdit cYFalseOrigin;
	CEdit cHeightOffset;
};
